//---------------------------------------------------------------------------
#ifndef espk_mainH
#define espk_mainH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Menus.hpp>
#include <Dialogs.hpp>
//---------------------------------------------------------------------------
class TcmForm : public TForm
{
__published:	// IDE-managed Components
  TMainMenu *MainMenu1;
  TMenuItem *File1;
  TMenuItem *OpenROMFile1;
  TMenuItem *N1;
  TMenuItem *Exit1;
  TMenuItem *Edit1;
  TMenuItem *DecompressBlock1;
  TMenuItem *DataC08065;
  TMenuItem *RecompressBlock1;
  TListBox *ListBox1;
  TOpenDialog *FOpen;
 TMenuItem *SaveROMFile1;
  void __fastcall Graphics1Click(TObject *Sender);
  void __fastcall OpenROMFile1Click(TObject *Sender);
  void __fastcall Exit1Click(TObject *Sender);
  void __fastcall FormCreate(TObject *Sender);

 void __fastcall RecompressBlock1Click(TObject *Sender);
 void __fastcall SaveROMFile1Click(TObject *Sender);
  
private:	// User declarations
public:		// User declarations
 __fastcall TcmForm(TComponent* Owner);

  int  __fastcall Decompress( LONG ofStart );
  int  __fastcall Recompress( LONG ofStart, LONG ofEnd, LONG Size );

};
//---------------------------------------------------------------------------
extern PACKAGE TcmForm *cmForm;
//---------------------------------------------------------------------------
#endif
